<?php
/*
Copyright (c)2002-2003 DuckCorp(tm) and RtpNet(tm)



This file is part of LMS.

LMS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

LMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LMS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

define('DFTK_ROOT_PATH', "/usr/share/dftk/");
define('LMS_ROOT_PATH', "/usr/share/lms-core-api/");

require_once(LMS_ROOT_PATH."inc.php");
require_once(LMS_ROOT_PATH."adsl/inc.php");
require_once(LMS_ROOT_PATH."hosts/inc.php");
require_once(LMS_ROOT_PATH."services/inc.php");

	$devel_version=false;


	if($devel_version==false) {
		require("/etc/lms/main.php");
		$ini_file="/etc/lms/services.conf";
	}
	else {
		require("/etc/lms-dev/main.php");
		$ini_file="/etc/lms-dev/services.conf";
	}

function openconf ($filename,$path) {
	$back_ext=".bak";

	if (strcmp(substr($path,-1),'/') != 0) {
		$path=$path."/";
	}

	// sauvegarde le fichier precedent et cree un nouveau
	if (file_exists($path.$filename.$back_ext))
		unlink($path.$filename.$back_ext);

	if (file_exists($path.$filename))
		rename($path.$filename,$path.$filename.$back_ext);

	$fp=fopen($path.$filename,"w+");

	return $fp;
}
function del_old_conf($filename,$path) {
	 $back_ext=".bak";

	if (strcmp(substr($path,-1),"/") != 0) {
		$path=$path."/";
	}

	 return unlink($path.$filename.$back_ext);
}
function is_maj($filename,$path) {
	$back_ext=".bak";
	
	if (strcmp(substr($path,-1),'/') != 0) {
		$path=$path."/";
	}

	if (file_exists($path.$filename.$back_ext)) {
		$fp=popen("md5sum ".$path.$filename.$back_ext,"r");
		$backup_output=fread($fp,32);
		pclose($fp);
		$fp=popen("md5sum ".$path.$filename,"r");
		$conf_output=fread($fp,32);
		pclose($fp);
		if (!strcmp($backup_output,$conf_output)) {
			$err=FALSE;
		}
		else {
			$err=TRUE;
		}
	}
	else {
		$err=TRUE;
	}
	return $err;
}
function is_linux() {
        if (strtoupper(substr(PHP_OS, 0, 3)) == 'WIN') {
		return FALSE;
	}
	else {
		return TRUE;
	}	
}
/*********************************************************/
/* Convertit les adresses du type 127.0.0 en 0.0.127     */
/*********************************************************/
function rev_ip_domain($ip) {
	$temp = explode(".",$ip);
	$buf = $temp[0];
	$temp[0] = $temp[2];
	$temp[2] = $buf;
	$retour=implode(".",$temp);
	return $retour;
}
/**********************************************************/
/* "dc=coinnetwork,dc=dl"-->"coinnetwork.dl"              */
/**********************************************************/
function ds2dn($ds) {
	$exploded_ds=explode(",",$ds);
	$dn[0]=substr($exploded_ds[0],3);
	$dn[1]=substr($exploded_ds[1],3);
	return $dn[0].".".$dn[1];
}	
/**********************************************************/
/* 127.0.0.0 en 127.0.0                                   */
/**********************************************************/
function get_subnet_from_ip($ip) {
	$temp = explode(".",$ip);
	$subnet = $temp[0].".".$temp[1].".".$temp[2];
	return $subnet;
}
/**********************************************************/
/* 192.168.1.3 -> 3                                       */
/**********************************************************/
function get_hostnbr_from_ip($ip) {
	$temp = explode(".",$ip);
	return $temp[3];
}
/**********************************************************/
/* 192.168.1.3 -> 3                                       */
/**********************************************************/
function get_subnetnbr($subnet) {
	$temp = explode(".",$subnet);
	return $temp[2];
}
/**********************************************************/
/* determine si une addresse appartient a un sous reseau  */
/**********************************************************/
function ip_belong_to_subnet($ip,$subnet) {
	if (!strcmp($subnet,get_subnet_from_ip($ip))) {
		return true;
	}
	else {
		return false;
	}
}

?>
